## GnomeDbCanvasField

GnomeDbCanvasField — Draws a graphical representation of a GnomeDbField object

## Synopsis

                GnomeDbCanvasField;
    GType       gnome_db_canvas_field_get_type  (void);
    GnomeDbField* gnome_db_canvas_field_get_field
                                                (GnomeDbCanvasField *cfield);
    GnomeDbCanvasEntity* gnome_db_canvas_field_get_parent_item
                                                (GnomeDbCanvasField *cfield);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GnomeCanvasItem
                   +----GnomeCanvasGroup
                         +----GnomeDbCanvasItem
                               +----GnomeDbCanvasText
                                     +----GnomeDbCanvasField

## Properties

      "field"                gpointer              : Read / Write

## Description

## Details

### GnomeDbCanvasField

    typedef struct _GnomeDbCanvasField GnomeDbCanvasField;

### gnome_db_canvas_field_get_type ()

    GType       gnome_db_canvas_field_get_type  (void);

Returns : |

### gnome_db_canvas_field_get_field ()

    GnomeDbField* gnome_db_canvas_field_get_field
                                                (GnomeDbCanvasField *cfield);

Get the GnomeDbField which `cfield` represents

`cfield` : | a GnomeDbCanvasField object
Returns : | the object implementing the GnomeDbField interface

### gnome_db_canvas_field_get_parent_item ()

    GnomeDbCanvasEntity* gnome_db_canvas_field_get_parent_item
                                                (GnomeDbCanvasField *cfield);

Get the GnomeDbCanvasEntity in which `cfield` is

`cfield` : | a GnomeDbCanvasField object
Returns : | the GnomeDbCanvasEntity in which `cfield` is, or `NULL`

## Property Details

### The "`field`" property

      "field"                gpointer              : Read / Write